---
title: Remove restriction
slug: apis/accounts/account-mgmt-apis/remove-restriction
description: Remove an account restriction using DELETE /core/v1/dda/accounts/{accountnumber}/restrictions/{id}, restoring transaction capabilities.
icon: {"apiMethod":"DELETE"}
docTags: 
createdAt: 2025-08-12T10:37:51.151Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for these webhooks:

- [Core.Restriction.Removed](docId\:eAs8aFqW7M97baeZUC8Sr)

## API reference

Removes a restriction applied to a specific account.

:::ApiMethodV2
```json
{
  "name": "Endpoint: v1/dda/accounts/{accountNumber}/restrictions/{id}",
  "method": "DELETE",
  "url": "https://sandbox.crbcos.com/core/v1/dda/accounts/{accountNumber}/restrictions/{id}",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "eajf8KuLYBAUE23VI6_Pj",
        "language": "curl",
        "code": "curl --location --globoff --request DELETE 'https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088' \\\n--data ''",
        "customLabel": ""
      },
      {
        "id": "cY8A59lipKdu7Tz5OnRn5",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'DELETE',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "GZfC4RHGEVRbkzsQLFwdV",
        "language": "python",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"sandbox.crbcos.com\")\npayload = ''\nheaders = {}\nconn.request(\"DELETE\", \"/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "customLabel": ""
      },
      {
        "id": "FZaVYcLD2VsA0ushPrkfl",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "JtFd5c4ocb-_vXDQoTk0K",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/core/v1/dda/accounts/2394312736/restrictions/51d73b46-ef2a-4a52-b174-b32f00949088\"\n  method := \"DELETE\"\n\n  payload := strings.NewReader(``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "eajf8KuLYBAUE23VI6_Pj"
  },
  "results": {
    "languages": [
      {
        "id": "92J7Q9aihp7T6Q1Bc5jTC",
        "language": "200",
        "customLabel": "",
        "code": "{\n    \"id\": \"51d73b46-ef2a-4a52-b174-b32f00949088\",\n    \"masterAccountNumber\": \"2394312736\",\n    \"subAccountNumber\": \"2394312736\",\n    \"restrictionType\": \"Internal\",\n    \"appliesTo\": \"Account\",\n    \"status\": \"Inactive\",\n    \"transactionType\": \"Debit\",\n    \"transactionCode\": \"Incoming ACH\",\n    \"reason\": \"Account Freeze\",\n    \"createdAt\": \"2025-08-04T05:00:54.423-04:00\",\n    \"removedAt\": \"2025-08-12T06:50:03.4276575-04:00\",\n    \"partnerId\": \"cd9c12f4-7691-424a-b38b-af5b0134c611\",\n    \"lastModifiedAt\": \"2025-08-04T05:00:54.4238173-04:00\"\n}"
      }
    ],
    "selectedLanguageId": "92J7Q9aihp7T6Q1Bc5jTC"
  },
  "request": {
    "pathParameters": [
      {
        "name": "accountNumber",
        "kind": "required",
        "type": "string",
        "description": "Number of the customer's master account that was restricted, even if the restriction is only on a subaccount or accounts",
        "": "Number of the customer's master account that was restricted, even if the restriction is only on a subaccount or accounts"
      },
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The ID identifying this restriction. You get this GUID in the \"id\" attribute of the response to the Restrict account call.",
        "": "The ID identifying this restriction. You get this GUID in the \"id\" attribute of the response to the Restrict account call."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID ID identifying this restriction"
    },
    {
      "name": "masterAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Number of the restricted customer account",
      "children": []
    },
    {
      "name": "subAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "If the restrictions was on a specific subaccount, that account number",
      "children": []
    },
    {
      "name": "restrictionType",
      "kind": "optional",
      "type": "string",
      "description": "Who applied the restriction:\n- Partner\n- Internal",
      "children": []
    },
    {
      "name": "appliesTo",
      "kind": "optional",
      "type": "string",
      "description": "Restriction coverage:\n- All\n- Account\n- SubAccounts",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of the restriction:\n- Inactive\n- Active\nWhen the restriction is removed, this should be Inactive.",
      "children": []
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "Type of restriction applied:\n- Ach\n- Wires\n- CreditCard\n- DebitCard\n- StoredValue\n- Checks\n- XPay\n- Rtp\n- Crypto\n- CardManagement\n- International\n- CardPayments\n- Internal",
      "children": []
    },
    {
      "name": "transactionType",
      "kind": "optional",
      "type": "string",
      "description": "Type of transaction restricted:\n- Debit\n- Credit",
      "children": []
    },
    {
      "name": "otherAccountType",
      "kind": "optional",
      "type": "string",
      "description": "Not used",
      "children": []
    },
    {
      "name": "transactionCode",
      "kind": "optional",
      "type": "string",
      "description": "Indicates a specific transaction code, such as ‘Incoming ACH’",
      "children": []
    },
    {
      "name": "amountThreshold",
      "kind": "optional",
      "type": "integer",
      "description": "Specifies an amount threshold. The restriction applies to any transaction amount that is equal to or greater than the amount entered.\nThis value is in integral cents, meaning the number includes cents, with no decimal point. For example, 100 USD appears as 10000.",
      "children": []
    },
    {
      "name": "effectiveStartTimeHour",
      "kind": "optional",
      "type": "integer",
      "description": "Indicates the approximate start hour of the restriction. Use a 24-hour clock.",
      "children": []
    },
    {
      "name": "effectiveStartTimeMinute",
      "kind": "optional",
      "type": "integer",
      "description": "Indicates the approximate start minute of the restriction",
      "children": []
    },
    {
      "name": "effectiveEndTimeHour",
      "kind": "optional",
      "type": "integer",
      "description": "Indicates the approximate end hour of the restriction. Use a 24-hour clock.",
      "children": []
    },
    {
      "name": "effectiveEndTimeMinute",
      "kind": "optional",
      "type": "integer",
      "description": "Indicates the approximate end minute of the restriction",
      "children": []
    },
    {
      "name": "currency",
      "kind": "optional",
      "type": "string",
      "description": "Currency held in the account",
      "children": []
    },
    {
      "name": "reason",
      "kind": "optional",
      "type": "string",
      "description": "Justification for applying the restriction",
      "children": []
    },
    {
      "name": "notes",
      "kind": "optional",
      "type": "string",
      "description": "Any other information about the restriction. Generally not used.",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Restriction created. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "removedAt",
      "kind": "optional",
      "type": "string",
      "description": "Restriction removed. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Internal Cross River value. Date and time the database entry was last modified. In this case, the date and time are in this format: yyyy-mm-ddThh:mm:ss[.mmm]",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-v1ddaaccountsaccountnumberrestrictionsid",
  "legacyHash": "1xailvZJGbt6F-ua85FDZ"
}
```
:::

